Merge pull request #2529 from kkkkkt/change-string-method-mrb-aspec

changed some string method's mrb-aspec
resolve #2525
Revert "resolve #2525"

This reverts commit a9d19c859a979bd364717f5118ebcc6af82866cb.
need to add space for receiver to proc env; fix #2525
need to add space for receiver to proc env; fix #2525

Conflicts:
	src/proc.c
resolve #2525
Revert "resolve #2525"

This reverts commit a9d19c859a979bd364717f5118ebcc6af82866cb.
add write barrier to env on pop call info poped. #2525
Merge pull request #2569 from dycoon/issue2525

add write barrier to env on pop call info poped. #2525
revert 6c1dfc9; ref #2525 #2565
revert 6c1dfc9; ref #2525 #2565
add write barrier to env on pop call info poped. #2525
revert 6c1dfc9; ref #2525 #2565

Conflicts:
	src/proc.c
